This file documents the revision history for the Monitoring Webinterface Thruk.

next:
          - thruk_local.d settings overrule cgi.cfg values
          - add pre tags to long plugin output if useful
          - add contacts to exportable columns in excel exports
          - Agents:
            - show top n processes for cpu/memory check
          - Business Process:
            - add option to select specific backends when updating status

3.26     Fri Feb  6 14:36:22 CET 2026
          - add option to set default comment in commands
          - improve listing performance data
          - add support for icinga2 custom variables (fixes #1482)
          - Rest:
            - add more output functions: age, utc, date, duration, fmt, hoststate and servicestate
            - add plain text and command line input to check_thruk_rest
            - allow requesting all host attributes as services attribute
            - improve parsing filter conditions
            - support filter on disintegrated rows
            - fix requesting all backends on initial request (#1484)
            - improve check_thruk_rest performance
            - add plain text and local data for check_thruk_rest
          - Business Process:
            - add option to configure offline backends grade period (offline_grace_time)
            - add option to configure handling offline backends (offline_handling)
          - Self Check:
            - add logcache data consistency checks (logcache_data)
          - Agents:
            - make columns sortable
            - add --filter to cli tool
            - fix excludes by tag
            - fix adding service checks by wildcards
          - Config Tool:
            - fix removing objects including references (#1473)
          - Log Cache:
            - fix filtering for empty service description
          - Reports:
            - fix generating multiple reports by cron
          - OAuth:
            - add autologin option

3.24     Thu Oct  2 09:20:56 CEST 2025
          - teams: add role based permissions based on oauth group memberships
          - config: add support for resetting list values
          - fix sending remove downtime commands to all backends
          - Agents:
            - add config change preview
          - Rest:
            - add concat() aggregation function
            - add uniq() aggregation function
            - add /contacts/totals endpoint
            - add support for long running background requests
            - apply user specific settings on the rest api as well
          - check_thruk_rest:
            - add template option to set output from template toolkit file
            - support variables urls when using multiple queries

3.22.2   Wed May 28 17:14:48 CEST 2025
          - add "for all services" option for status quick commands
          - fix logs timezone (#1438)
          - Agents:
            - fix hostname/ip wizard
            - add --filter to cli tool
          - Reports:
            - add date macros for name and description
            - fix outage calculation with soft recovery

3.22     Sat Apr 12 18:07:06 CEST 2025
          - migrate sound files to webm
          - add test page for sound file in user preferences
          - add new config option home_link_target
          - fix case insensitive table search
          - fix encoding in table search
          - improve randomness when generating uuids
          - migrate sound files to webm
          - add test page for sound file in user preferences
          - make grafana popups and links use dark mode automatically
          - Rest:
            - add peer_section attribute
            - outages: fix extracting timeperiod
            - outages: fix filtering by host/service query
            - fix double encoded error messages
            - performance improvements
            - fix stats/totals queries using custom variable filters
          - Node-Control:
            - prevent running multiple updates from cron in parallel
          - Reports:
            - fix creating grafana reports from url report
            - use latest in puppeteer installer
          - OMD-Top:
            - added as core module
          - Panorama:
            - add zoom/scale options to url panel
          - Business Process:
            - add default_tab option
          - Agents:
            - do not add new hosts with -II, only with -I
            - add -t/--tag filter to cli list
            - add tag support for object configuration
            - add -d/--diff option for 'ta' tool
            - extra_opts may extend or modify lists
            - add clone button
            - show active rules
          - Apache:
            - add UnsafeAllow3F for Ubuntu packages

3.20.2   Wed Dec 18 17:43:10 CET 2024
          - unescape escaped characters in expanded command
          - fix flickering on search suggestions
          - fix host/service totals
          - fix action menus read from action_menu_items_folder
          - Agents:
            - pin inventory check to local worker
            - show default port in edit mask
          - Business Process:
            - fix context menu position
          - Reports:
            - rename public tab and show own shared reports
          - Config Tool:
            - obfuscate passwords in readonly files
          - Rest:
            - fix peer_name/peer_key in columns when not using LMD

3.20     Sat Nov 16 12:38:39 CET 2024
          - change default first_day_of_week to monday
          - show host attributes on grid/overview pages
          - make status badges toggle buttons
          - add support for base64 encoded obfuscate pattern
          - reworked status page column editor
          - improve performance when having custom column layout on status pages
          - reduce required queries when using lmd
          - improve error output from downtime tasks
          - Rest:
            - add support for host/service note commands
              ex.: /hosts/<name>/cmd/note
              and  /services/<host>/<service>/cmd/note
            - add new endpoint /system/cmd/log
            - add more availability endpoint ex. /hostgroup/.../availability
            - add support for simple calculations in columns
            - check for nasty characters in sort columns
            - fix unknown columns when using icinga2 without lmd
          - Business Process:
            - fix saving empty file in case of full filesystem
            - add support for percent thresholds in at_least/not_more
            - only save if config reload succeeds
            - fix editing BPs with icinga2 core
          - Agents:
            - add support for extra custom checks
            - add support for alternative inventory file
            - inventory saved to backup file in case new checks were found
            - add dry run mode to cli tool

3.18     Tue Sep 10 22:30:40 CEST 2024
          - add optional oauth 2.1 pkce workflow
          - add new option main_exclude_top5_hostgroups
          - improve login handling when using multiple tabs (#1315)
          - improve search when search includes comments/downtimes
          - validate if default theme exists (#1228)
          - fix saving bookmarks (#1383)
          - fix forbidden error without apache unsafeallow3f flag (#1387)
          - fix login page issue on latest apache with new UNC flag
          - fix backend parameter changing when selecting different log range
          - keep backend on more log related links for performance reasons
          - fix negated comments/downtimes filter
          - fix puppeteer start errors with latest chrome
          - add proxy support during oauth authentication (#1393)
          - fix custom var box layout in safari (#1385)
          - fix ambiguous service button (#1391)
          - improve referer containing spaces (#1368)
          - Config Tool:
            - enable list wizard for host/service dependencies (#1358)
            - fix validating service parents (#1376)
            - fix selecting custom variable from drop down list
          - Panorama:
            - fix linking nested business processes
            - fix white page after switching tabs
            - fix showing title in BP panel (#1369)
          - CLI:
            - add create option to apikey command
          - Editor:
            - added as core module
          - Node-Control:
            - added as core module

3.16     Fri Jul 12 16:23:37 CEST 2024
          - fix using unescaped url in reports (CVE-2024-39915)
          - fix recurring downtimes crontab entry for 2nd/3rd days of month
          - fix sessions removed early when using kerberos authentication
          - fix using custom variables starting with multiple underlines
          - Rest:
            - add transformation and disaggregation functions
            - add support for timeperiod / time queries in where clause
            - add percentage to availability queries
          - BP:
            - fix saving regex filter
          - internals:
            - update fontawesome to 6.5.2
            - update dagrejs to 1.0.4

3.14.2   Sat Mar 23 19:21:39 CET 2024
          - fix embedding 3rd party tools
          - fix inline search
          - Reports:
            - trim whitespace in mail text

3.14     Tue Mar 19 19:17:40 CET 2024
          - improve logs performance when using logcache
          - improve switching light/dark mode automatically
          - add config option default_theme_dark
          - jump into search bar with / key
          - fix minemap missing services if user is only authorized for service but not the host
          - fix back button for embedded links, like pnp or grafana
          - fix status totals not matching service list
          - fix xss issue (#1343)
          - Panorama:
            - fix media upload

3.12     Fri Jan 26 18:41:38 CET 2024
          - add config option 'admin_role_from_system_and_conf'
          - add options status column: last state change
          - fix exposing check_command via rest api
          - do not show error page if all backends are down, but show page with empty data
          - switch to dark mode automatically
          - Agents:
            - add default args
            - add support for section based settings
            - add template hierarchy based on section folders
            - support changing sections for existing agents
          - Config Tool:
            - style fixes
          - Reports:
            - cleanup /tmp/puppeteer_dev_profile-... folders
          - Rest:
            - add host/service columns to comments/downtimes
          - Panorama:
            - fix folder input validation for image uploads (CVE-2024-23822)

3.10     Sun Nov  5 16:24:33 CET 2023
          - add new agents plugin
          - add explore mode to advanced status filter
          - add option to set link target based on url rules (link_target)
          - show action/notes urls with original link and open new tab by javascript
          - add option to set different cache timeout for failed logins (cookie_auth_session_cache_fail_timeout)
          - reduce log noise for normal operations
          - reset page refresh timer on page interaction
          - maintenance removes old user files after one year
          - add button to cleanup recurring downtimes from old hosts/services
          - add 'thruk downtimetask autoremove' command
          - fix livestatus error on landing page (#1299)
          - fix using custom variables in queries
          - fix requesting unknown columns (#1301)
          - fix removing sub items from navigation (#1314)
          - Reports:
            - increase pdf render timout
            - fix missing subject in report mails
          - Rest
            - add .../avail endpoint for hosts / services

3.08.3   Fri Jul 21 13:06:06 CEST 2023
          - improve landing page performance
          - fix replacing links in plugin output containing spaces
          - fix cluster status icon
          - fix lexical query parser (#1296)
          - fix search preview highlighting (#1295)
          - auth: cache failed basic auth logins
          - Rest
            - make performance data numbers instead of strings
            - add missing !>= operator

3.08.2   Sat Jul  8 09:56:31 CEST 2023
          - fix selecting backends
          - fix flickering on main page during reload
          - improve visual feedback on page reload

3.08     Sat Jul  1 11:29:49 CEST 2023
          - DEPRECATION WARNING: gaining admin role from system_commands and configuration_information role
            is deprecated now and will be removed in the future.
          - DEPRECATION: this release drops support for phantomjs in favor of puppeteer
          - improve display of large byte numbers in human perf data table
          - replace links in plugin output
          - fix main home page graphs layout breaking on refresh in chrome (#1238)
          - fix custom time selection showing unix timestamp (#1288)
          - fix sending commands via rest api if service contains backslashes (#1282)
          - fix sending commands contain multiple sub commands (#1289)

3.06-2   Tue Jun  6 10:25:20 CEST 2023
          - panorama:
            - fix folder validation (CVE-2023-34096)
          - reports:
            - fix showing correct attachment size for html reports
            - remove duplicate css include
            - only use one css font-face source
          - Rest
            - add comments_info / downtimes_info to /r/hosts and /r/services

3.06     Wed May 24 14:12:18 CEST 2023
          - support lexical/advanced filter
          - support native grafana dashboards in action_url
          - improve extinfo host/service details layout
          - add variables from default columns to exposed variables automatically
          - add filter by contactgroups
          - add host_name_source / service_description_source options to get names from different attributes or custom variables
          - add default_main_filter option to apply filter for "All Hosts" view
          - add config option is_executing_timeout
          - fix navigation clicks not working occasionally
          - add force_user option to super user api keys
          - Rest
            - add last_login to /r/thruk/users
            - add host/service del_comment/del_downtime endpoints
            - change required permissions for del_*_comment del_*_downtime

3.04     Mon Feb 20 09:28:17 CET 2023
          - add minimal=3 mode on status pages to hide pager and filter
          - main landing page:
            - performance tweak
            - fix notifications chart
          - Logcache:
            - check disk space before running table optimize

3.02     Thu Dec 15 20:56:30 CET 2022
          - show notice if dependencies fail
          - add dependency graph for hosts/services
          - add colored badge on extinfo page if host or parents fail
          - add hidden attribute to action menus
          - export thruk_user data to javascript variable
          - improve log access on start page
          - improve custom variables box style to match the other cards
          - fix internal server error when adding second bookmark (#1220)
          - fix embedded 3rd party links if startpage is set
          - fix embedded 3rd party links if target is set to main frame
          - fix setting action_url_target/notes_url_target to main
          - panorama:
            - improve full page reload if site is temporarily not available
          - internals:
            - update jquery to 3.6.2

3.00     Mon Nov 14 14:50:14 CET 2022
          - complete design rework
          - deprecated configuration options:
            - use_pager
            - use_frames
            - use_new_command_box
            - info_popup_event_type
            - info_popup_options
            - show_context_help
          - deprecated plugins:
            - mobile
            - wml
            - statusmap
          - add light/dark theme
          - add new main landing page dashboard
          - add collapsible side navigation
          - add delete icon to comments/downtimes popup
          - add copy button for expanded command line
          - enable expire acknowledgements by default
          - make bookmarks sortable

2.50     Mon Oct 17 09:44:22 CEST 2022
          - improve creating links containing spaces
          - add workaround for icinga 2 external commands
          - add support for recursive propagated service downtimes on child hosts
          - support exporting comments to excel
          - panorama:
            - fix reading utf8 data parts from dynamic dashboards
            - improve support for hard states only dashboards (fixes #1196)
            - fix show details link
            - fix unlock mask not disappearing

2.48.3   Fri Aug 12 19:01:13 CEST 2022
          - add authoritative backend switch
          - add short links option for custom links
          - replace markup link links in comments and downtimes
          - Reporting:
            - fix last day missing in graph when breaking down by days (#1172)

2.48.2   Fri Jul  1 14:36:30 CEST 2022
          - make links clickable in comments and downtimes
          - fix sidebar search not showing all service names
          - Panorama:
            - support non-numeric dashboard file names
            - dashboard save file can be renamed

2.48     Sat Apr  2 17:04:45 CEST 2022
          - add filter to tactical overview page
          - fix hostgroup overview totals when using LMD
          - updated jquery-ui to 1.13.1
          - add support apache 2.2 support again
          - performance improvements using basic auth
          - Panorama:
            - add options to configure popup fonts and width
            - fix unlock mask not disappearing
          - Business Process:
            - support float values in thresholds

2.46-3   Tue Jan 25 15:05:00 CET 2022
          - fix html escaping error details (CVE-2022-23961)
          - fix support for old api keys
          - fix cleaning up old session files
          - Panorama:
            - fix font-size in popups

2.46-2   Tue Dec 14 14:01:30 CET 2021
          - add password visibility switch to login page
          - show timeperiod information in host/service extinfo
          - fix cgi.cfg entries authorized_contactgroup_for...=* when contact does not have any group
          - login page will wait for cookie_auth_login_hook to complete
          - Business Process:
            - fix listing business process drafts
          - Configuration:
            - add link to config tool from configuration pages
          - Logcache:
            - performance improvements
            - fix inserting duplicate values
          - Reporting:
            - fix using alias / displayname or custom variables

2.46     Wed Nov  3 21:46:44 CET 2021
          - drop apache 2.2 support from example apache configuration
          - add thruk apikey info command
          - support wildcards in cgi.cfg authorized_for_* settings
          - Reporting:
            - add missing host unavailable box for sla reports
          - Rest
            - add command_name to /notifications
            - add delete method for /config/objects
          - Config Tool:
            - fix listing some dependencies as false duplicates
            - fix federated config tool over multiple relays
          - Panorama:
            - fix creating action menu in host/services panel
          - self check:
            - check for lmd errors
          - fix input parameter validation (CVE-2021-35488)

2.44-3   Thu Jun 10 19:22:57 CEST 2021
          - add option to configure error message for locked accounts
          - fix group filter when using lmd
          - fix oauth login containing umlauts
          - self check:
            - recurring downtimes self check validate cron entries
            - reports self check validate cron entries
            - support negated type selection
            - add backends selfcheck

2.44-2   Fri Jun  4 18:07:58 CEST 2021
          - Config Tool:
            - fix internal error when saving thruk config
          - Reporting:
            - keep current view when starting report update
            - fix logging raw pdf output

2.44     Fri May 28 17:55:32 CEST 2021
          - rework login mask to be more mobile friendly
          - add new config option: cookie_secure_only
          - add missing services in host availability reports (#1098)
          - recurring downtimes show last author and date
          - fix oauth not honoring redirect after login
          - fix paging hosts/services when using LMD
          - fix using graph_source in popups (#1106, #1086, #1104)
          - fix hiding backends with groups attribute (#1102)
          - Security
            - fix xss issue with quick commands
            - set samesite attribute for all cookies
            - set secure attribute for all cookies if applicable
            - add config option `cookie_secure_only`
            - use csrf token for all forms
          - Business Process:
            - performance improvements
          - Logcache:
            - scale out worker for parallel update
          - Reporting:
            - fix switching user when updating report
          - Rest
            - add support for !>= and <= operator on lists
            - add /thruk/logcache/update
            - add option to suppress column headers
            - fix column order on text output

2.42-2   Mon Apr 26 10:02:54 CEST 2021
          - Reporting:
            - fix deleting reports
          - Rest
            - add columns comment to csv output
            - add /.../outages for hosts/services and groups

2.42     Fri Apr 16 21:33:20 CEST 2021
          - remove `check_local_states` and `state_host` from backends, use LMD instead
          - make broadcast preview draggable
          - add machine_debug_info option to set amount of machine debug information
          - add expose_custom_vars option
          - fix managing public bookmarks (#1065)
          - fix unhandled problems link on tactical overview (#1058)
          - fix sending many commands at once
          - fix switching between search views
          - Panorama:
            - update icons in bulk of size 50 instead of all at once
          - Logcache:
            - add logcache_worker options
          - Reporting:
            - add custom filter sla/outage reports

2.40-2   Mon Dec 14 11:10:41 CET 2020
          - Config Tool:
            - fix running tools
            - support histou templates in perf data tool

2.40     Tue Dec  8 14:55:47 CET 2020
          - add colored terminal output for thruk cli
          - add separate role public_bookmarks to manage public bookmarks
          - fix setting cookie path (#1049)
          - CLI:
            - expand section from -b parameter
          - Rest:
            - add text table output option --text / -t
            - add format output options --csv and --xls
          - Reporting:
            - add overview sla threshold to reduce items in overview graph
          - Logcache:
            - improve initial import and compacting
          - LMD:
            - add reload/config cli lmd command
            - add last_lmd_cache_update to available columns
            - show last_lmd_cache_update on extinfo page
            - fix automatic reload on backends change at startup

2.38-2   Tue Oct 27 11:42:38 CET 2020
          - add LOCAL rest api sites alias
          - add audit log settings
          - fix service macros in action urls
          - fix backend manager in config tool
          - fix initial setuid when starting thruk as root
          - fix user/group config component overrides
          - fix host commands from services page when host exists on multiple backends
          - Panorama:
            - add dashboard clone button
            - add get_screen_data function for scripted dashboards
            - add option to transfer dashboards to other user
            - fix inline action menus
            - fix loading mask staying forever

2.38     Tue Oct  6 09:53:31 CEST 2020
          - rewrite config reading, cgi.cfg will now simply be merged
          - add dynamic columns for status overview page
          - add dynamic columns for status grid page
          - add multiselect removal for recurring downtimes
          - add support for dates beyond year 2038 (64bit timestamps)
          - fix reordering columns on status page
          - fix paging on log pages
          - REST:
            - add /config/fullobjects endpoint for expanded objects
          - Config Tool:
            - fix file dropdown when having many files
          - Reporting:
            - add user/group based permissions
          - Business Process:
            - added option --no-reload-core to thruk cp commit
            - added option --no-reload-cron to thruk cp commit
            - added configuration option sync_downtime_ack_state
          - Panorama:
            - support scripted dashboards in any scripting language
          - Logcache:
              add logcache statistics and action to performance info page
            - improve performance
            - add compact mode
            - add logcache to thruk selfcheck
          - internals:
            - update fancytree 2.36.1

2.36     Thu Jul  9 18:07:33 CEST 2020
          - add oauth login provider
          - fix sending server actions from action menu twice
          - fix endless refresh in js search
          - Panorama:
            - fix showing header in single tab mode
          - Logcache:
            - fix setting duration on cleanup

2.34-3   Fri Jun 12 18:44:27 CEST 2020
          - fix reloading page from bookmarks
          - improve session cookie handling
          - improve config file parser
            - complain about unclosed blocks
          - Panorama:
            - fix js error TypeError: d.comments is undefined
          - Logcache:
            - fix updating host_id index
            - fix setting blocksize for initial import

2.34-2   Wed May 20 17:01:57 CEST 2020
          - quick commands can create recurring downtimes
          - Reporting:
            - add more mail sending options
          - Panorama:
            - add host icon which includes service states
          - Business Process:
            - fix setting downtime/ack state
          - internals:
            - update jquery to 3.5.1

2.34     Sat Mar 28 09:53:19 CET 2020
          - renamed system api keys to superuser api keys
          - removed `rest_api_enabled` setting, disabling rest api breaks thruk
          - show sites name in comments/downtimes, logs and notifications
          - add outages overview for hosts and services
          - add action menu and command search filter
          - add timeout handling to action_wrapper example
          - add option to exclude long_plugin_output from default search
          - support template toolkit syntax in ssi files
          - Panorama:
            - raise icons zindex if its in a none-ok state
            - add new role panorama_view_media_manager to allow uploading images (#944)
            - allow changing background images if user has write access to dashboard
            - add maintenance mode for dashboards
            - add long_plugin_output to label macros
            - allow contacts in dashboard permissions
          - Cluster:
            - add 'thruk cluster maint/unmaint' commands
          - internals:
            - update jstree 3.3.8
            - update fancytree 2.34.0

2.32-2   Fri Oct 25 17:05:54 CEST 2019
          - add thruk restart cli command
          - add thruk cluster restart cli command
          - fix creating broadcasts from api
          - fix config tool plugin preview

2.32     Thu Oct 17 11:27:22 CEST 2019
          - show all host columns only once in service details
          - add list view process info when connecting more than 5 sites
          - add option to limit api keys to certain roles
          - add option to put all services into downtime
          - store last editor username along with recurring downtimes
          - improve storing session credentials
          - allow basic time arithmetics when setting start and end dates
          - allow cgi.cfg options to be set from the thruk config
          - show_custom_vars host variables must be prefixed with HOST when displayed for services
          - fix keyboard control of datepicker (#946)
          - Broadcasts:
            - use authorized_for_broadcasts role everywhere
          - Config Tool:
            - set default attributes for new objects
            - add git blame page for config objects
            - support limited regex matching
            - add button to create new templates
            - fix command preview with OMD 3.x path changes
          - REST:
            - add max_api_keys_per_user option to limit api keys per user
            - fix fetching roles when contact has groups
          - Panorama:
            - add search bar
            - add details button to host/service extinfo panel
            - improve saving column layout in grid panel (#811)
            - add custom variables to grid panel (#849)
            - add alias names to label (#941)
            - hide scrollbars after 3 seconds
            - add background color option for hosts and service lists
            - toggle geomap navigation with space key
            - improve dashboard menu filter performance
            - allow changing icon center position on geo maps
            - add pins status icon set
            - add comments / downtimes / acknowledgements list widget
            - fix changing open dashboards on reloads
          - Business Process:
            - add node clone menu entry to node context menu
            - add navigation to link incoming/outgoing business processes
            - add flexible filter aggregation function
          - internals:
            - update daterangepicker 3.0.5

2.30-3   Tue Jun 11 15:39:40 CEST 2019
          - fix quicksearch when using many backends
          - reports:
            - fix sending json attachment
          - Config Tool:
            - fix using asterix
          - Panorama:
            - fix grafana graph combobox

2.30-2   Tue May 14 11:56:16 CEST 2019
          - fix quicksearch when using many backends
          - Panorama:
            - improve selecting hosts and services from drop downs
            - fix shapecolor for acknowledged items
            - fix sending commands from dashboards

2.30     Thu May  9 11:51:28 CEST 2019
          - session cookies: change to sha256 and double hashing
          - api keys: change to sha256 and double hashing
          - add check_thruk_rest monitoring plugin to check things from the rest api
          - fix page reload when changing backends
          - security:
            - validate referer
            - make auth cookie httponly
          - REST:
            - manage api keys via rest api
            - use downtime_max_duration if set
            - support relative timestamps in numeric filter
            - support renaming columns by appending :name to column
          - mobile:
            - fix compatibility issue with jquery 3.x
          - Business Process:
            - fix filtering containing spaces
            - allow drill down when integrated in panorama dashboards
          - Panorama:
            - add option to always hide widget border
            - increase max zoom level for default geo map
            - add option to set bp panel background color
          - Config Tool:
            - add disable option to disable config tool for specific backends
            - add global obj_readonly option
          - Logcache:
            - disable delta updates by default
          - internals:
            - update jquery to 3.4.1

2.28     Fri Mar 29 17:27:48 CET 2019
          - rename graph_proxy option into http_backend_reverse_proxy
          - add `tree` sitepanel for very large setups with many sites
          - add parents to selectable columns
          - add option to store selected backends along with a bookmark
          - add support for dependencies (naemon only)
          - add host alias to exportable columns
          - add eventhandler quick commands
          - fix offset calculation in rest api
          - fix page not found issue when using browser history back
          - fix cross site scripting issues
          - REST:
            - add aggregation function support
            - add cmd to remove all active downtimes for host or service
            - add more external commands
          - Config Tool:
            - add authorization tab to contacts and contactgroups
            - add support for dependencies and escalations
          - Business Process:
            - delay calculation during core reloads
            - add support for http federation
            - add drill down output as default filter
            - fix zooming in chrome
            - disable automatic calculation by setting refresh_interval to zero
            - add read_only mode
            - add `post_refresh_cmd` hook
            - use paging when having many business processes
          - Panorama:
            - add direct link with tabs
            - add theme selector to grafana images
            - add color selector to grafana images
            - add axis color option to speedometer
            - fix saving permissions when list is empty
          - Reporting:
            - add switch to attach raw json data
          - internals:
            - move libraries to vendor folder
            - update jquery to 3.3.1
            - replace jscal2 with daterangepicker

2.26-2   Tue Dec 18 17:33:08 CET 2018
          - display external commands errors if possible
            - right now only naemon >= 1.0.9 does support this
          - Panorama:
            - fix panels not being updated in single window mode

2.26     Fri Dec  7 21:34:29 CET 2018
          - add admin role in cgi.cfg
          - add graph_proxy_enabled option to passthrough pnp and grafana from remote http sites
          - remove cluetip library for popup graphs
          - fix reload issue in firefox
          - fix escaping hostnames and service description in excel exports
          - fix command issues in rest api
          - Business Process:
            - fix timeouts

2.24-2   Tue Nov  6 16:18:50 CET 2018
          - add new (optional) roles
          - fix rest api issues
          - add cluster mode with fixed number of nodes
          - Panorama:
            - make icon unknown if filter does not return any objects

2.24     Fri Oct 26 18:40:37 CEST 2018
          - add rest api
            - see https://thruk.org/documentation/rest.html for details
          - support clustered setups
            - see https://thruk.org/documentation/cluster.html for details
          - add api keys
          - add command_enabled option
          - show and use alias for hosts, hostgroups and servicegroups search
          - removed cookie_auth_direct_agents option
          - action menus:
            - add support for submenus
            - add support for scripted js menus
          - Business Process:
            - only show business processes where the contact is allowed to see the generated service (#810)
          - Panorama:
            - fix playing recovery or host alert sounds
          - Cookie Auth:
            - lock account after 10 failed login attempts
            - add `cookie_auth_disable_after_failed_logins` option
            - add lock/unlock actions to admin users page
          - Logcache:
            - fix issue with wrong contacts in notifications after authupdate command
          - Broadcasts:
            - add variable editor
          - show external command errors when using naemon core

2.22     Fri Jun 29 13:52:11 CEST 2018
          - cleanup preferences popup
          - add user profile page
          - add timezone setting to users profile page
          - add require_comments_for_disable_cmds option
          - move broadcast into side navigation
          - move important filters up (#792)
          - support macros in action menu onclicks
          - fix wrong number of backends (#809)
          - fix custom variable filters (#816)
          - deprecate shadownaemon
          - renamed cli livecache cmd to lmd
          - add option show_contacts to list contacts on extinfo page
          - add logcache fetchlogs option and add example scripts for ido
          - Broadcasts:
            - add template checkbox
            - add macro support
            - add frontmatter support
          - Panorama:
            - optionally show broadcasts in panorama dashboards
            - make determing worst state for group/filter icons configurable
            - add new configuration option 'default_state_order'
            - add view permission option to icon widgets
            - fix tab rotation
          - Config Tool:
            - make command line a textarea
            - use separate edit sessions for each user
            - list outside references when deleting hosts and services like dashboards or reports
            - fix adding custom variables from extra_custom_var
          - Business Process:
            - calculate results parallel if there are many bps
            - add details link to each node
            - add max_check_attempts to bp nodes
          - Reporting:
            - add datetime format options
            - use time locale for reports
            - optionally use host / servicename from alias, displayname or customvariable
          - CLI
            - add new 'find' command to search for object references

2.20-2   Wed Mar 14 00:12:24 CET 2018
          - add optional debug switch for admin users
          - Config Tool:
            - fix error when saving from raw edit

2.20     Wed Mar  7 10:59:57 CET 2018
          - add support for ipv6 livestatus backends (#753)
          - add timeout for cookie authentication http sub request
          - add filter to notifications and history page
          - add filter to processinfo page
          - add new 'problems_limit' config option
          - support tls livestatus connections
          - fix occasional wrong redirects on page reloads (#776)
          - support unlimited backend section depth
          - Business Process:
            - fix save button in chrome (#786)
            - fix displaying configured eventhandler
          - LMD:
            - only restart lmd on timeouts when necessary
            - support lmd federation mode
            - support lmd tls livestatus connections
          - Mobile:
            - implement remote filtering
            - add alerts and notifications button to extinfo page
          - Logcache:
            - speed up updates
          - Panorama:
            - save open tabs in cookies instead of the user profile
            - add quick filter for dashboard dropdown
          - Config Tool:
            - fix adding custom variables

2.18     Mon Dec 25 15:27:06 CET 2017
          - add new option 'commandline_obfuscate_pattern'
          - add python and go client to default cookie_auth_direct_agents
          - combine recurring downtimes for the same time into a single cron entry
          - fix listing service recurring downtimes (#766)
          - fix excel export button (#765)
          - Config Tool:
            - show summary prompt if a post_obj_save_cmd is set
          - Business Process:
            - add weighted state example custom function
            - add new configuration option 'favorite_custom_function'
            - skip reloading core if objects have not changed
          - Reports:
            - add option to only send mails for specific thresholds
            - add button to quickly create excel export reports
            - fix listing outages during downtimes
          - Logcache:
            - fix importing logs from file (#751)
            - fix issue with locking
          - Panorama:
            - add squares widget
            - add user styles option to add generic styles usable in labels etc.
            - add optional helper grid
            - update extjs 4.2.2
            - add label availability options
            - fix moving watermark elements
            - fix widgets display issue in IE11
            - fix row height in status lists (#779)
            - fix minemap header in chrome and IE (#782)
          - Mobile:
            - add config option to add additonal links on the home page

2.16-2   Sun Aug 20 13:47:31 CEST 2017
          - add json export to tac page
          - add workaround for displaying wrong host current_check_attempt
          - send commands in bulk of 100 each
          - Business Process:
            - change pre/post hooks arguments

2.16     Tue Aug  8 21:18:40 CEST 2017
          - xls exports: add column reordering
          - action menus: add close_timeout option
          - downtimes: verify if end date is after start date
          - support cascaded http backends with lmd
          - show lmd statistics to performance page
          - broadcasts:
            - show broadcasts optionally on the login page
            - add optional annotation icon
          - logcache:
            - performance improvements for the import and update commands
            - fix notifications filter by contact_name
          - cli:
            - cleanup cli module system
            - add plugin cli command
            - add bash completion
          - Business Process:
            - add input/output filter
            - make references link recursive
            - performance improvements for service status nodes
            - add optional operator for status aggregation
          - Panorama:
            - fix business process widget refresh (#702)
          - Config Tool:
            - fix removing too many backends (#743)
          - fix issue when mobile plugin is disabled (#731)

2.14-2   Fri May  5 12:31:42 CEST 2017
          - autocomplete custom variables values if exposed by show_custom_vars
          - make custom variables available in host/service excel export
          - write details into apache log on timeouts
          - make contacts email address available in enviroment for hooks and scripts
          - action menus: support confirmation dialogs
          - logcache:
            - performance improvements for the logcacheclean command
          - fix filtering for empty custom variables
          - fix problems favicon counter

2.14     Tue Mar 28 10:09:25 CEST 2017
          - add new Thruk2 theme
          - add broadcast system
          - support opening server actions in new tabs
          - support service lists for recurring downtimes
          - fix livestatus "Operator !~~ for lists not implemented." issue when having an empty search filter
          - set contactgroups as REMOTE_USER_GROUPS into the environment for hooks and scripts
          - add basic filters to notifications page (#692)
          - fix macro expansion with recursive args (#658)
          - fix forcing logcache to myisam (#691)
          - fix login hook not running in background
          - Business Process:
            - add support for simple wildcards, ex.: host:*
            - add link to all input hosts/services
            - add link to referenced business process if node links to another bp
            - support regular expressions in service details link
            - fix dropdown not being clickable
            - fix selecting nodes for edit (#682)
          - Panorama View:
            - honor acknowledgement and downtime status shape color calculation
            - add option for fixed positioned popups
            - fix shape color for host problems in group/dashboard panels
            - fix saving column width for grid panels
          - Reports:
            - hide program messages from reports by default, can be changed back by report_include_class2 = 2
            - fix email report links from the preferences popup being cut off
            - fix html being cut off (#545)
          - Statusmap:
            - allow grouping by custom variable exposed by show_custom_vars

2.12-3   Tue Dec 20 20:43:54 CET 2016
          - fix js error on status page
          - Config Tool:
            - fix http backends when using lmd

2.12-2   Mon Nov 28 14:49:12 CET 2016
          - add downtime_max_duration option
          - fix glitch in column drag/drop
          - fix missing jquery in mobile view (#653)
          - fix redirect issue when omd site is named 'thruk'

2.12     Fri Nov 18 10:14:00 CET 2016
          - remove startup page, Thruk starts in less than a second now
          - add adjustable status details columns / dynamic views
          - add default_service_columns and default_host_columns config options
          - Performance improvements on the host/service list page
          - allow arbitrary html in the side navigation
          - fix merging configuration from thruk_local.d
          - fix session logout problem when there is a syntax error in menu_local.conf
          - Panorama View:
            - list already used colors in color picker
            - add support for svg vector graphics as background/static/status images
            - fix display error in speedometer with overlaping thresholds
            - fix js error in shape dropdown
            - fix error when using umlauts in dashboard title
          - Business Process:
            - add icinga2 support
            - fix regular expression in service state nodes
          - Reports:
            - add outage report
          - Logcache:
            - add logcache_import_command option
            - add logcache_delta_updates option

2.10-2   Mon Oct  3 20:43:02 CEST 2016
          - mark disabled eventhandler red on process info page
          - add lmd support
          - get uid/groups with POSIX:getgroups if possible (mickenordin #634)
          - fix xss issue on login page
          - Panorama View:
            - increase popups delay to 1second
            - fix popups showing when mouse moved over a icon
            - fix start page not found when using OMD
          - Mobile:
            - fix sending reschedule command

2.10     Wed Aug 24 14:59:03 CEST 2016
          - add useragentcompat option for IE compatibility mode (ofosos #626)
          - support reading action_menu_items from file/folder
          - support thruk_local.d/file.$hostname files to separate host specific configs
          - fix can_submit_commands setting not used from contact (#597)
          - fix corrupting datafiles when trying to write to full filesystems
          - support curl/wget scripts when cookie auth is enabled
          - Logcache:
            - add logcache_import_exclude option
            - remove orphaned plugin output references on logcacheclean
          - Reports:
            - include any ok event always in availability calculation
          - Panorama View:
            - make popup completely customizable
            - add dashboard status icon type
            - add performance bar icon type
            - add trend / forecast icon type
            - icon label can be mouseover only now
            - background color of dashboards can be changed now
            - do not overlap icons which are placed close together
            - host status beats service status for group/filter icons
            - add scripted dashboard support
            - dashboard files moved to /etc/thruk/panorama
            - add dashboard overview as start page
            - last dashboard can be closed now
            - add text center option to labels
            - add round corners option to labels
          - Config Tool:
            - support recursive object removal
            - empty files will be deleted when the last object is removed
            - fix showing custom variables attribute for some objects
            - fix nested additive templates (#630)
          - Business Process:
            - translate host states to correct states

2.08     Fri May  6 11:29:14 CEST 2016
          - add status column to performance map excel export
          - accept filter changes on body clicks too
          - support wildcards for ssi files
          - use worst can_submit_commands value when having multiple backends
          - fix using negated comment/downtime filter
          - fix 'bad file descriptor' error when trying to log in subprocesses
          - fix using non-standard webserver ports with cookie authentication (#576)
          - fix url decoding problem on login page
          - Config Tool:
            - add list wizard to drop down
            - add user defined custom variables to attribute list, extra_custom_var_host and extra_custom_var_service
            - fix encodig when raw editing files (#572)
          - Panorama View:
            - reload dashboards if server was updated
            - add factor for speedometers
            - add support for hard states in icon states
            - add thresholds to speedometer
            - update wms provider list
            - fix background image offset not working properly
            - fix mixed up label offset x/y
          - Reports:
            - add report clone button
            - create debug information more easily
            - fix content type in url reports emails
          - CLI
            - add new graph command to export graphs from cli
            - add new listservices command

2.06     Wed Mar 02 16:08:00 CET 2016
          - make custom variables from show_custom_vars clickable
          - add eventhandler search option
          - add core scheduling graph page
            - add fix_scheduling cli command
          - set default graph from _GRAPH_SOURCE custom variable
          - fix sending commands to all backends (#555)
          - fix vertical header in Minemap for recent firefox
          - fix graphite integration (#557)
          - add generic grapher replace setting 'graph_replace'
          - Panorama View:
            - add hide legend / graph only checkbox for pnp panel
            - add new appearance type 'label only'
            - add export/import to files including images
            - add emoji icon set
            - fix sending reschedule commands
            - fix not triggering upload popup
          - Reports:
            - keep reports during updates (#546)
          - Config Tool:
            - show message if unsaved changes would be lost
            - fix user password change (marcantoinedupre)

2.04     Thu Nov 12 10:32:27 CET 2015
          - add json export to process info page
          - fix problem with removing reports when trying to save files on a full disk.
          - fix "show link" not displaying the hostname
          - support host custom variables in services via show_custom_vars
          - Config Tool:
            - add reference clone selection page
          - Panorama View:
            - add clean dashboards button in dashboard management all tab
            - add cli command to clean dashboards
            - add scrollbars for large maps
            - add action menus for dashboards
            - add file upload for background images
            - add file upload for static images
            - fix grid panels not restoring column width
          - Reports:
            - add quarterly and half year reports
            - change pdf converter to phantomjs
            - fix sending excel reports from web

2.02     Wed Sep 30 17:38:30 CEST 2015
          - show eventhandler name on extinfo page if available
          - limit json exports to accounts with configuration information role
          - clear process info cache after sending commands
          - fix weekly cron jobs on Tuesdays (Alexandre Anriot, #525)
          - Panorama View:
            - make text label background size configurable
            - add extra_fonts option to extend the list of available fonts
            - add show border option for services and hosts panel
            - fix list of public dashboards for admin users
            - fix label zIndex positioning
            - fix label position not being saved
            - fix label removed when hitting cancel in settings window
          - Config Tool:
            - fix tools changes not beeing saved
            - fix stripping last option when rewriting commands (#518)
          - Business Process:
            - add eventhandler attribute

2.00-2   Fri Aug 28 16:19:25 CEST 2015
          - add cancel button to all external jobs
          - parse performance data with U(nknown) values
          - fix user password link when invoked from main page
          - fix logrotate missing su directive on logrotate > 3.8 (#471)
          - fix duplicate installed logrotate file (#511)
          - fix config file parser on escaped hashes (#505)
          - Reports:
            - add danish localization
          - Config Tool:
            - add generic text editor
            - fix problem when cloning commands
          - Panorama View:
            - fix initial text label position (#506)
            - fix corrupted tab export (#507)

2.00     Mon Jul 13 22:49:52 CEST 2015
          - add local settings config drop dir support via thruk_local.d/
          - changed internal storage format to json everywhere
          - improved memory usage
          - improved startup time
          - improved page rendering
          - users can change their htpasswd passwords
          - retry setting recurring downtimes in case of errors
          - fix redirect without trailing slash on login
          - fix event log filter for unprivileged contacts (#406)
          - fix shadownaemon using the livestatus wait feature
          - Panorama View:
            - default geo map center can be changed in config file
            - fix missing Sitename in services/host widgets
            - fix using spaces in command comments (#495)
          - Business Process:
            - fix using backslashes in business process object names (#485)
          - Reporting:
            - add new options to better use indexes and skip updating logcache (#464, Zirafarafa)
          Incompatible Changes:
          - custom thruk plugins have to be adopted to thruk 2, see migration
            help document: http://thruk.org/documentation/thruk_2_0_migration_guide.html
          - enable use_frames mode by default
          - enable cookie authentication by default

1.88-4   Wed Apr 22 16:16:09 CEST 2015
          - Config Tool:
            - fix editing objects
            - add tools to semi-automatically clean configs from common flaws
          - Panorama View:
            - fix scaling and setting offsets for background

1.88-3   Sat Apr 18 11:44:40 CEST 2015
          - mongodb logcache is now deprecated and will be removed 2016
          - add pnp graph select option on extinfo pages
          - fix error on omd updates with recurring downtimes
          - fix permission problem with service recurring downtimes
          - Business Process:
            - fix business process cron entry being remove when updating reports
          - Reports:
            - display error message if report cannot be created due to missing hosts/services
            - fix problem for reports using contacts with authorized by groups
          - Panorama View:
            - fix adding new connector items
            - fix text labels disappearing on unlock
            - fix ghost items from other dashboards when using geomap
          - Config Tool:
            - use maximum size in command line wizard
            - list references directly on the object page
            - display files/folders in Objects Browser
            - objects will be cloned including references now
            - fix object browser links
            - fix complaining about 'null' groups in config tool (#442)
            - fix escaping html tags in command definitions (#444)

1.88-2   Sun Mar 29 19:30:58 CEST 2015
          - fix problem with busines process objects

1.88     Sat Mar 28 17:57:53 CET 2015
          - add host and service notes url macros (Andrew Widdersheim)
          - add host and service duration macro (Andrew Widdersheim)
          - disable IE8 compatiblity mode introduced in 56c92b1 (Andrew Widdersheim)
          - add 'expand_user_macros' option (Andrew Widdersheim)
          - command start/end times round to full minute
          - search now suggests custom variable names too (#450)
          - menu:
            - remove_item can now remove sub links too
            - add is_user function to test for specific users
            - fix problem with removing items for specific users only
          - Panorama View:
            - add geo map
            - add undo function
              - restore point can be created manually
              - autosave creates restore point every 10minutes and when unlocking a dashboard
            - add fullscreen mode
            - add new connector item
            - add new worldclock widget
            - make widgets clonable
            - dashboard are now locked by default
              - popups will only displayed in locked mode for smoother editing
              - links are disabled during editing
            - dashboards are now locked by default
            - prevent accidentally leaving the page by backspace key
            - fix showing -1 objects for new dashboards
            - fix showing empty totals for custom filter icons
            - fix unclosable host/service popups (#401)
          - Business Process:
            - show draft edits in overview
            - prevent accidentally leaving the page by backspace key
            - add basic notification options to link tab
            - bp services do no longer use the generic-service template
          - Reports:
            - prevent accidentally leaving the page by backspace key
          - Config Tool:
            - prevent accidentally leaving the page by backspace key
          - Bug Fixes
            - fix accessing performance data page in author mode
            - fix accessing reports page in author mode
            - fix title offset in trends graph
            - fix highlighting correct backend on multiple backends by url

1.86-4   Thu Feb 12 21:47:53 CET 2015
          - add action_menu_apply option to apply action menus on the fly
          - Panorama View:
            - add group based permissions for dashboards
            - move multiple icons by selecting them with ctrl click
            - also move multiple icons by mouse lasso
          - Bug Fixes
            - fix using comma separated backend list in CLI tool
            - fix undefined key_sort in CLI config parser

1.86-3   Thu Jan 29 19:57:35 CET 2015
          - add option for default service filter
          - add host/servce connection macros
          - Bug Fixes
            - fix icon logo path in statusmap parent view
            - fixed links to other dashboards in panorama plugin
            - fix listing all backends with object config when using http backends
            - fix product prefix in cli url requests

1.86-2   Sun Jan 18 17:45:37 CET 2015
          - Reporting:
            - add option for maximum number of concurrent reports
            - start reports from cron serial instead of all at once
          - Panorama View:
            - add server actions as possible link targets
            - fixed problem when moving rotated shapes
          - Bug Fixes
            - fixed macro replacement in action menu links
            - fixed error in cluetip library by shiping a new version
            - fixed problem with shadownaemon in non-xs env
            - fixed error: Can't use string xxx as an ARRAY

1.86     Thu Jan  8 14:10:41 CET 2015
          - add custom action menu
          - livestatus performance improvements
          - updated jquery to 1.11.1
          - added new configuration setting: max_process_memory
          - add excel export permanent link (awiddersheim)
          - increased logcache int size
          - use grey performance bars on extinfo page
          - Business Process:
            - fix zoom on large business objects
          - Mobile:
            - updated jquery mobile
            - respect escape_html_tags setting from cgi.cfg
            - old themes have been replaced with 2 new ones
          - Reporting:
            - support url reports from external urls
          - Panorama View:
            - added show details/refresh links to icons
            - add 'center' position option for labels
            - changeable icon filter types
            - fixed memory leak in generic url panel
            - fixed problem with stopped timers after import
            - reload every x hours to prevent noncatchable memory leaks
            - fixed linking public dashboards
          - Bug Fixes
            - fixed problem with timeperiods in logcache database
            - fixed show_custom_vars with wildcards
            - fixed adding dummy function in business processes
            - fixed startup page in safari browser
            - fixed css problem in mobile client

1.84-6   Wed Aug  6 11:24:12 CEST 2014
          - Panorama View:
            - support availability results in labels and speedometer

1.84-5   Wed Jul 16 13:30:05 CEST 2014
          - Reports
            - added cancel button for running reports
            - added progres bar for running reports
          - Panorama View:
            - added -or filter to all filter panels
            - added optional min/max values for speedometer
            - added invert switch for speedometer
            - background images can now be scaled
            - background images can have an offset
            - images and icons can be scaled
          - Bug Fixes
            - fixed pnp source not selectable anymore after revisiting panel settings
            - fixed applying panel source
            - fixed using multiple panorama custom filter

1.84-4   Mon Jun 23 17:44:32 CEST 2014
          - added show_error_reports mode 'both' which shows the error indicator but logs to server side
          - set default show_error_reports mode to 'both' to make error handling easier
          - support pnp urls with suffix
          - Panorama View:
            - added z-index option for icons
          - Bug Fixes
            - fixed rendering icons above dashboard settings window
            - fixed recurring downtimes not beeing saved under some conditions with multiple backends
            - fixed problem in servicegroup recurring downtimes
            - fixed half-visible panorama buttons in IE11
            - fixed panorama shape rotation in IE11
            - fixed panorama column error in minemap
            - fixed problem with utf8 characters in passwords
            - fixed problem with quotes in passwords

1.84-3   Sat May 31 16:10:07 CEST 2014
          - added csrf_allowed_hosts configuration option
          - allow unicode characters in performance data units
          - Panorama View:
            - iconsets may now contain png, jpg or gif images
            - added dashboard_ignore_changes configuration option (Franky Van Liedekerke)
            - reschedule next check when refreshing single icon with host/service
          - Business Process
            - added easier host:* status aggregation
          - Bug Fixes
            - fixed calculation of computed configuration in config tool
            - fixed panorama icon size in IE8
            - fixed problem with group/user specific settings
            - fixed exclude pattern when using logcache
            - fixed unicode problem in panorama labels
            - fixed rotation shapes when switching from icon style

1.84-2   Sat May 17 16:49:45 CEST 2014
          - Panorama View:
            - icons snap to raster on drag/drop when shift key is hold
          - Bug Fixes
            - fixed removing old sessions with cookie auth
            - fixed panorama filter containing pipes
            - fixed panorama not showing usercontent
            - fixed panorama servicegroup popup details
            - fixed cookie auth problem when accessing site without trailing slash

1.84     Sat May 10 20:58:24 CEST 2014
          - support time definitions like 1st monday, last friday for recurring downtimes and reports
          - support host/hostgroup/servicegroup lists for recurring downtimes
          - added quick filter to config pages
          - general design fixes (awiddersheim)
          - Exfoliation theme fixes (awiddersheim)
          - fixed number format in performance data (awiddersheim)
          - config tool improvements for shinken (Mathieu Parent)
          - added new command "thruk -a selfcheck" to perform some self checks
          - optionally disable session revalidation in cookie auth
          - added csrf protection
          - added sorting of comments/downtimes on host/service pages
          - added more css classes to status page, hard, sort, attempt, duration...
          - Business Process
            - added support for custom functions
          - Reports
            - add button to directly send report by email
            - add maximum sla threshold to hide detail pages
            - allow multiple pnp graphs in sla reports (lkco)
          - Panorama View:
            - cookie state_provider has been removed
            - background can be change in dashboard settings
            - panels are not pinnable anymore
            - tabs are now independant and can be exported and imported seperatly
            - added icon widgets
            - added dynamic labels to icon widgets
            - changed internal storage format
            - default_view can no longer be a string, its always a file now
            - fixed panlet cluttering when opening dashboard with smaller screens
            - fixed state not being saved in some conditions
          - Bug Fixes
            - fixed displaying partially active attributes
            - fixed wait trigger not working all the time
            - fixed tab rotation in panorama view
            - fixed loosing filter on reports page
            - fixed save&reload button from within filesystem browser
            - fixed demanding system command permissions for enabling accept passive results (awiddersheim)
            - fixed exclusion when using 'Plugin Output' filter
            - fixed 'Plugin Output' not showing up as option when adding an and/or filter

1.82-2   Fri Feb 21 17:20:55 CET 2014
          - redirect to host details page if no services found and no service filter was set
          - Bug Fixes
            - fixed missing graphs in reports
            - fixed js error in panorama url panel

1.82     Thu Feb 13 00:01:36 CET 2014
          - naemon adjustments
          - performance improvments on pages not using any backends (reports, bp, conf,...)
          - removed old reporting plugin
          - install ssi examples
          - add plugin_output and long_plugin_output filter (awiddersheim)
          - CLI
            - added -a ALL option to send commands to all backends
          - Logcache
            - added 'logcacheremoveunused' command to remove old no longer used tables
          - Panorama
            - make tabs reorderable
            - autohiding headers don't change panel size
            - fixed problem on initializing pie charts
            - fixed import problem not showing initial panels
          - Business Process
            - change service plugin output for first node
            - add livestatus result transport
            - added cli command "bpcommit" to save manually create BPs
            - fixed displaying/using wrong host template
            - fixed display issue in latest firefox (updated dagre library)
          - Reports
            - show out of scope totals
            - added report description on cover page
            - support outages pages for multiple host/service reports
            - fill in defaults for host/service unavailable states when switching report templates
            - use timeperiods when calculation outage logs
            - allow service reports over the same service on all hosts
            - fixed livestatus timestamp for timeperiod transitions
            - fixed pnp graphs in reports when using remote instances and services containing spaces
            - fixed problem with daylight saving times
            - fixed selecting wrong tab on rescheduling report
            - fixed removing reports from non-existing templates
          - Config Tool
            - allow reloading by external commands
            - fixed parsing lists in host/serviceescalations
          - Bug Fixes
            - fixed init script which did not stop/restart are fcgi processes
            - fixed displaying performance data with negative ranges
            - fixed duplicate bookmark handling
            - fixed problem with sound alerts

1.80-3   Sat Dec  7 18:26:15 CET 2013
          - optional guest account when using cookie authentication
          - made report_max_objects configurable
          - Bug Fixes
            - fixed sorting on keys with space in performance data table
            - fixed using negative numbers in performance data table
            - fixed cookie auth on https url when using https backend over proxy
            - fixed js error on reports page
            - fixed js error on panorama dashboad: Cannot call method 'getSize' of undefined

1.80-2   Thu Nov 28 12:21:18 CET 2013
          - Reports
            - made number of latest/worst outages pages configurable
          - Business Process
            - fixed context menu issues with IE
            - fixed zooming in IE
          - Bug Fixes
            - fixed show raw data link in IE

1.80     Mon Nov 25 15:03:55 CET 2013
          - support csv output in availability reports for every reporttype and not only all hosts/services
          - support US date format in url querys
          - added performance data overview (kudos to adagios for the inspiration)
          - support ranges in performance data bar (awiddersheim)
          - added xls export for availability reports
          - show human readable performance data on extinfo page
          - support standard macros in 'show_custom_vars' (awiddersheim)
          - Panorama
            - added experimental IE support
          - Reports
            - added filter button to only show my/public/all reports
            - admins can edit all reports now
            - fixed permission problem when using groups in cgi.cfg
          - Config Tool
            - fixed saving command lines with escaped semicolons
          - Bug Fixes
            - corrected default sorting of hosts page
            - fixed display issue with left aligned calendar popup (awiddersheim)

1.78-3   Sat Nov  2 00:45:00 CET 2013
          - Business Process
            - fixed saving graph direction
            - fixed edge layout for left-right graphs
            - fixed submiting results in test mode
          - Panorama
            - fixed not saving when starting with an empty set
          - Shinken
            - fixed livestatus error when using wrong business impact filter

1.78-2   Sun Oct 27 16:41:56 CET 2013
          - Business Process
            - openend result spool files permissons
          - Config Tool
            - fixed plugin help accordion size
          - Panorama
            - fixed nagvis panel displaying load error
            - fixed using default view with readonly mode
            - fixed draggable panels in readonly mode
          - Bug Fixes
            - fixed cascaded configs for sub components
            - fixed perfbars with zero values (awiddersheim)
            - fixed listing recurring downtimes with limited permissions

1.78     Thu Oct 21 22:41:31 CEST 2013
          - added business process addon
          - new --all-inclusive/-i mode for cli html page export which includes all css, js and
            images in one single page
          - show apache status in performance page
          - minemap performance improvements and reduced memory usage
          - configuration git browser got next and previous links
          - added some more shinken specific config attributes
          - memory usage / performance improvements with large data
          - replace caching module with internal module
          - panorama
            - added business process panel
            - added nagvis panel
          - Bug Fixes
            - summary: fixed reports using host/servicegroups in combination with the mysql logcache
            - mysql logcache: fixed service cannot be NULL error on import
            - fixed encoding problem when using config tool over http
          - Warning:
            - reports plugin is deprecated and will be removed soon, please update to reports2 plugin

1.76-3   Tue Sep  3 23:00:09 CEST 2013
          - new site 'collapsed' panel for large setups
          - Bug Fixes
            - dashboard: removed unnecessary dependency

1.76-2   Sun Aug 25 19:08:23 CEST 2013
          - Bug Fixes
            - fixed update on debian/ubuntu

1.76     Fri Aug 23 12:17:25 CEST 2013
          - new options to set page titles: 'use_bookmark_titles' and 'use_dynamic_titles' (awiddersheim)
          - make sure huge site panels do not overlap screen
          - support $PLUGINDIR$ and other user macros from resource file
          - added support for apache 2.4 on debian based systems
          - removed curl support, LWP::Protocol::Net::Curl wasn't thread safe
          - panorama
            - performance improvements
            - delayed inactive panel rendering
          - Bug Fixes
            - fixed quoting downtime tasks
            - show error instead of empty result for a single failed instance
            - fixed rootid in statusmap when using filter
            - fixed audio alarms on problems page (random-xz)

1.74-2   Sat Jul 27 18:15:20 CEST 2013
          - show response from date/time check in quick commands
          - make sure IO::Socket::SSL is used for multiple parallel https connections
          - Bug Fixes
            - fixed display of hoverable downtimes comments
            - fixed pnp graph waiting icon
            - fixed rootid in statusmap when using filter
            - fixed clicking search result header
            - fixed reduced result set on json exports
            - fixed reading wrong encoded global user data file
            - fixed case-sensitive sorting on host/servicenames
            - fixed missing links in Nuvola theme side navigation

1.74     Sun Jul  7 17:39:32 CEST 2013
          - added filter to statusmap
          - performance improvements, only load jquery-ui if necessary
          - added several new force cmd options (awiddersheim)
          - added new cli command 'command' to print command line for hosts/service
          - panorama:
            - added readonly config parameter
          - config tool:
            - added pre/post save hooks
            - added history support (if config folder uses git)
            - fixed displaying wrong site in OMD environment
          - Bug Fixes
            - fixed sending duplicate commands (feraudet)
            - fixed closing preferences by document click

1.72-2   Fri Jun  7 15:51:47 CEST 2013
          - added sanity check when saving recurring downtimes
          - log host/service name when deleting downtimes/comments
          - Bug Fixes
            - missing filter in list of recurring downtime
            - fixed state_hosts for http backend

1.72     Tue Jun  4 18:42:50 CEST 2013
          - enable connection pool by default (only with 3 backends or more)
          - connection pool uses 90% less memory now
          - allow setting 'state_host' explicitly
          - speed improvments (use json::xs for faster serialization)
          - close (most) popups by clicking outside popup
          - Bug Fixes
            - disable curl when using threads
            - fixed playing sounds on problems
            - conf: plugin list/preview over http

1.70-4   Tue May 21 11:40:34 CEST 2013
          - Bug Fixes
            - fixed occasional sigpipes on config reload
            - fixed memory leak in livestatus accessor
            - fixed connection leak in logcache
            - don't strip nasty chars from passwords

1.70-3   Tue May 14 17:07:57 CEST 2013
          - reload page after connection errors (only in frames mode)
          - Bug Fixes
            - increased range of utf-8 characters removed due to
              missing high surrogate character in surrogate pair

1.70-2   Wed May  8 22:13:47 CEST 2013
          - Bug Fixes
            - fixed sending commands to multiple backends

1.70     Mon May  6 20:47:31 CEST 2013
          - added public bookmarks
          - added recurring downtimes for host- and servicegroups
          - added regular expression contact filter (Scott Dworkis)
          - config tool:
            - resolve hostgroup_members when looking for a hosts services
          - Bug Fixes
            - fixed negated regex group search
            - fixed encoding in reports / bookmarks

1.68     Tue Apr  9 21:04:03 CEST 2013
          - allow custom cron entries for reports / recurring downtimes
          - Logfilecache
            - speed up incremental file import
            - speed up mysql updates
          - Shinken
            - added escalation object to config tool
          - Bug Fixes
            - fixed adding multiple recurring downtimes for a single host
            - no sound alerts if notifications are disabled

1.66-2   Mon Apr  1 22:59:55 CEST 2013
          - better utf-8 support in report mails
          - ensure image data is a pnp file
          - Bug Fixes
            - fixed translation issue in italian reports
            - fixed utf-8 problem in report month names
            - fixed daylight saving issue in reports

1.66     Tue Mar 26 18:43:48 CET 2013
          - added mysql logfile cache
          - added logcache statistics to performance info page
          - added naglintrc config file
            - made indention and sort order configurable
          - added optional server side js error logging
          - added 'compile' cli command to precompile templates
          - added 'perf_bar_pnp_popup' option to control pnp popups in perfbar
          - added logs link for hosts/services to directly filter logfiles
          - removed background color from status page (can be reenabled by 'status_color_background')
          - panorama view:
            - auto adjust minemap column height
            - use escape_html setting from cgi.cfg
            - support show_long_plugin_output inline
          - reports
            - use temp files for large reports
            - added 'report_from_email' option
          - Bug Fixes
            - make text selections in status page easier
            - fix utf-8 decoding error: missing high surrogate character in surrogate pair

1.64-2   Sat Feb 23 17:14:11 CET 2013
          - config tool
            - save & reload page display already saved changes
          - Bug Fixes
            - added missing newline in services availability

1.64     Fri Feb 15 22:50:55 CET 2013
          - added user & group specific config overrides
          - added json export for availability data
          - added noexternalforks parameter to skip forks
          - added show_host_attempts config option
          - added ssl_verify_hostnames config option
          - added show_full_commandline_source config option
          - added check all switch to site panel
          - make colums selectable for json requests
          - use user sort for show_custom_vars
          - reports
            - added locales support (en, de, it, es, fr)
            - fixed url reports containing icon images
          - config tool
            - added one click save & reload button
          - logcache
            - added new command logcacheclean to remove old log entries
          - Bug Fixes
            - fixed js error in conf tool
            - fixed removal of deprecated plugins on rpm update
            - fixed memory leak in livestatus accessor

1.62     Sun Jan  6 21:20:16 CET 2013
          - added filter to comments / downtimes page
          - added json / excel export to comments / downtimes page
          - moved plugins config items in component sections of config
          - changed first day of week to monday, can be reverted by setting first_day_of_week=0
          - reworked configuration documentation
          - new reporting module
            - put both reports edit steps into one page
            - select multiple hosts/services/groups seperated by comma
            - changed report templates to html
            - changed to flot graphing library
            - changed to wkhtml2pdf as pdf generator
            - changed default initial state to unspecified
            - added timeperiod support in sla reports
            - added html preview of pdf reports
            - added new report option for sla decimal points and graph min sla
            - added pnp graph to reports
          - Bug Fixes
            - fixed problem when using logfilecache in combination with connection pool

1.60.2   Wed Dec 19 11:23:28 CET 2012
          - Bug Fixes
            - hide site panel with only one backend

1.60     Tue Dec 18 18:26:47 CET 2012
          - added http backend type which connects to another thruk instance
          - made sitepanel configurable
          - config tool:
            - changed source editor to linedtextarea because of IE compatibility
          - logcache:
            - renamed logcache cli commands
            - changed mongodb logcache to seperate collection per backend
            - added cli command logcachestats to display logcache statistics
            - added cli command logcacheauthupdate to update authorization information
            - fixed mongodb logcache authorization
          - Bug Fixes
            - fixed connection test for new backends
            - retain order of backends when not using sections
            - fixed deselecting unavailable backends
            - fixed jumping cursor in search input in IE

1.58     Wed Nov 21 12:51:29 CET 2012
          - use regex matching in search preview too
          - added new config option first_day_of_week
          - added column filter in configuration page (Thibault Cohen)
          - faster and more useably mouseover in host/service lists
          - added configuration only backends
          - show link to hostdetails when no services match
          - added filter by number of services
          - added config option to select default quick command
          - added excel export for problems page
          - added json export for problems page
          - config tool:
            - preserve inline comments if possible
            - added enable/disable actions
            - show forward references on ref page too
            - fix computed config display of additive inheritance
            - fix ignoring changes to readonly pattern in config
            - fix auto submit when pressing some wizards
          - Bug Fixes
            - fixed sending commands to all backends
            - usability improvements for Internet Explorer
            - fixed renewing contactgroups cache after backend reload

1.56     Wed Nov  7 22:14:06 CET 2012
          - added naglint tool to beautify nagios config files
          - added sites panel when grouping backends by section
          - show perf bar for percentages too
          - reports:
            - replace links in html reports
            - fixed creating e-mail reports for availability pages
            - fixed sending first e-mail attachment always as report.pdf
          - config tool:
            - added object browser
            - show warning when saving objects without a name
            - recognize disabled (commented) objects
          - Bug Fixes
            - fixed limit to groups in alert summary

1.54     Mon Oct 22 15:08:26 CEST 2012
          - added support for setting custum variables without _ now
          - added link to all services with same name on extinfo 2 page
          - panorama view:
            - added performance bar to host/service list
          - Bug Fixes
            - undefined ARG macros will be replaced with empty string
            - fixed perf bars in IE
            - fixed perf bars growing over maximum

1.52     Tue Oct  9 16:44:04 CEST 2012
          - added cookie based authentication and logout button
          - added performance bar to host/service list
          - updated calendar popup
            - use mousewheel to change date / time
          - Bug Fixes
            - fixed scrolling to top on clicking calendar icon

1.50     Thu Sep 27 09:21:20 CEST 2012
          - make menu sections foldable
          - Bug Fixes
            - fixed reload in IE
            - fixed minemap header in IE

1.48     Fri Sep 21 11:24:48 CEST 2012
          - save scroll state on sending commands and reloads
          - reports
            - added basic report option validation
          - Bug Fixes
            - fixed state hosts (Oliver Falk)
            - fixed search with ipad
            - fixed action icons by custom vars servicegroup overview

1.46     Tue Sep  4 15:42:15 CEST 2012
          - optional favicon problem counter
          - display action/notes url on host/servicegroup pages
          - minemap:
            - dynamic column header height
          - panorama view:
            - optional auto hiding panel header
          - Bug Fixes
            - fixed using multiple groups in cgi.cfg
            - fixed search with iphone

1.44     Mon Aug 27 15:17:31 CEST 2012
          - play sounds only for unhandled problems
          - Bug Fixes
            - fixed adding report with empty crontab
            - fixed looping startup.html
            - fixed taint mode error on debian

1.42     Thu Aug 23 17:55:54 CEST 2012
          - panorama view:
            - added host details panlet
            - link service details to service list
            - show messages from send commands
            - add possibility to remove downtimes
            - show server time and login
            - update to extjs 4.1.1
          - Bug Fixes
            - fixed authentication in recurring downtimes

1.40     Fri Aug  3 16:54:16 CEST 2012
          - change backends in config tool
          - use wait feature for acks/downtimes
          - change backends in config tool
          - panorama view:
            - added mine map panlet
            - added service details panlet
            - fixed problem with initial view
          - Bug Fixes
            - fixed reports when no state selected
            - fixed problem with cronjobs on pkg updates

1.38     Fri Jul 27 18:14:00 CEST 2012
          - added button to check/uncheck all columns for status excel export
          - panorama view:
            - added auto rotating tabs
            - added hosts / services panlet
            - added host / service totals panlet
            - added server metrics panlet
            - added filter for all host/services based panlets
            - generic url panlet can now show external urls
            - fixed generic url panlet when using css selector
          - Bug Fixes
            - fixed date verification in quick commands

1.36     Thu Jul 19 13:49:01 CEST 2012
          - added panorama view plugin
          - support flexible downtimes from the status page quick command
          - support recurring flexible downtimes
          - allow human readable values for duration filter like 5h or 10m
          - check version when using the check for updates link
          - clean up menu (don't show grid links in extra row)
          - allow wildcards in 'show_custom_vars'
          - added cgi sounds to tac page (if enabled)
          - added link for bug reports on internal errors (idea by the icinga team)
          - reporting:
            - reports can now be created for every page (html, xls, ...)
          - config tool:
            - added plugin & addon manager
            - show hostgroup name on hosts service list
            - fixed unregistered hostgroups showing up as warning
            - fixed commands in orphaned objects list
          - Bug Fixes
            - downtimes: fixed display of flexible downtimes
            - recurring downtimes: fixed adding downtimes on sunday
            - config tool: allowed hostgroups with register 0
            - fixed reloading pages when multiple filters used (Rupert Roesler-Schmidt)
            - fixed sounds in IE and Windows Firefox

1.34     Tue Jun 19 17:38:46 CEST 2012
          - added config item to specify mobile agents
          - added refresh url parameter to set custom refresh rate
          - Bug Fixes
            - fixed editing command lines containing quotes
            - fixed not viewing all objects when paging is disabled
            - fixed 'All types' link not working all the time
            - fixed sticky acknowledgements

1.32     Sat Jun  2 18:46:38 CEST 2012
          - added recurring downtimes
          - added in_check|notification_period to extinfo
          - added sort by status information
          - added reschedule 'now' link to extinfo page
          - added mongodb support (experimental)
            - added logcache based on mongodb (mixed mode)
          - added long plugin output to excel export
          - added child options to downtimes (Jason Lempka)
          - reporting:
            - added report editor
            - added cron editor for scheduling reports
            - report fileextension is now .rpt
          - Bug Fixes
            - fixed mobile interface (jquery version was too old)
            - fixed javascript error on comments/downtimes page
            - fixed deleting all downtimes from extinfo page
            - fixed removing comments/downtimes from extinfo page

1.30     Sun May  6 19:37:59 CEST 2012
          - added sla reporting
            - implemented 'last12months'
            - implemented months breakdown
          - updated jquery to 1.7.2
          - do not reenable ssi files on pkg updates
          - Bug Fixes
            - fixed adding bookmarks
            - fixed selecting multiple filter
            - fixed statusmap js errors

1.28     Sat Apr 28 18:53:49 CEST 2012
          - added support for display_name
          - added filter for custom variables
          - show host/servicegroups only if contact has permission for at least on host/service
          - add new url parameter 'minimal' for hiding everything except the data (Pierre Mavro)
          - added documentation about common CGI parameters
          - added init script
          - added event details to logs excel export
          - added site name to excel export (Mark Wilkinson)
          - added sound alerts
          - added config item for custom host/service action icons
          - added config item to convert usernames to upper/lowercase
          - set custom host/service action icons by custom variable
          - added config item for cookie_path
          - added 'last12months' to possible report timeperiods
          - internal changes ( removed prototype library )
          - mobile:
              - added performance graph to mobile interface
          - conf tool:
              - support relative paths in nagios.cfg
          - fixed sorting by status (critical > unknown)

1.26     Mon Mar 26 13:40:33 CEST 2012
          - show remaining minutes when using first_notification_delay
          - hide host/service selection for read-only users
          - added new config option show_backends_in_table to display site name in status table
          - added wml plugin to support ntray (and maybe other tools based on the statuswml page) (Franky Van Liedekerke)
          - cli tool:
              - implemented verbose mode with -v
          - fixed redirect in old browsers

1.24     Mon Mar 19 12:17:40 CET 2012
          - conf tool:
              - rename dependencies on object updates
              - reset reload flag on external reloads too
              - remove cached data when core config changes
              - add more shinken specific attributes
          - use current time when rescheduling checks with
            timestamp in the past to prevent breaking the latency calculation
          - fixed shinken livestatus version warning

1.22     Tue Mar  6 17:20:18 CET 2012
          - cli tool:
              - implemented setting backends with '-b'
          - use 127.0.0.1 and locahost tcp connections for local states too
          - preserve enabled themes/plugins on update via package
          - fixed packages apache config
          - fixed missing bracket on problems page
          - fixed problem with missing templates in packages
          - fixed customizing menu with insert_item()

1.20     Tue Feb 28 22:38:23 CET 2012
          - added cli tool
          - write pid file when running as fastcgi
          - show startpage when fcgid process is starting
          - added path to cookies, makes multiple instances possible on one host
          - added current attempt filter (Jordi van Scheijen)
          - fixed adding page reloads to browser history, now reloads don't show up in history
          - fixed statusmap table layout
          - fixed escaping newlines when escape_html is off
          - fixed sending commands to hosts/services with backslashes
          - fixed tests
          - config tool:
              - fixed adding custom variables

1.18     Tue Feb 14 17:17:38 CET 2012
          - changed version numbers to real numbers
              - from now on, even numbers will be stable releases
              - odd numbered releases will be test releases
              - this also fixes the Argument "1.1.7" isn't numeric in subroutine entry at... error
          - finished mobile plugin
          - support timeperiods in trends/availability reports
          - made duration of downtimes and acknowledgement configurable
          - replaced double downtime delete with checkbox
          - config tool:
              - fixed selecting templates when no hosts exist
              - fixed selecting services without hosts/groups
          - fixed issue with pressing history twice when using frames
          - fixed display issues when not using pager

1.1.7    Tue Dec 20 18:02:13 CET 2011
          - added duration filter
          - config tool:
              - removed link from icons
              - fixed services without description
          - fixed setting multiple acks with expire

1.1.6    Tue Dec 13 19:09:17 CET 2011
          - added acknowledgments with expire date (shinken/icinga only)
          - added json export on status page (thanks Justin Burnham)
          - config tool:
            - added command preview
            - added module support (icinga only)
            - added wizard for servicegroup members
            - added links to create/edit cgi permissions
          - fixed display of acknowledgements with expire date
          - fixed js error when adding more than 10 filter
          - themes: fixed minor design flaws in Nuvola theme

1.1.5    Thu Dec  5 21:04:17 CET 2011
          - reloading pages by pressing f5 works now even with frames
          - config tool: added wizard to create/change commands
                         set ip automatically
                         added criticy for shinken backends
                         added address6 for icinga backends
                         fixed reloading config
                         fixed command line wizard

1.1.4    Sun Nov 29 16:21:21 CET 2011
          - added more button for search suggestions
          - remove downtimes quick command now only removes active downtimes
          - added quick command to remove future downtimes
          - removed string::strip dependency
          - minor enhancements for config tool

1.1.3    Sat Nov 12 23:03:12 CET 2011
          - added support for objects in config editor
          - added support for contactgroups in the cgi.cfg
          - added support for groups in the cgi.cfg config tool
          - added refresh button on top of each page
          - command_disabled supports ranges
          - hide links to cmd.cgi which are disabled by the command_disabled option
          - backends can only be hidden by config if there are more than one
          - show backend related errors as backend chooser tooltip and in process info page
          - fixed hiding filter select popup
          - fixed sorting by duration on status page

1.1.2    Tue Oct 18 17:57:53 CEST 2011
          - added /pnp/ to possible pnp4nagios urls
          - search in notes_url for pnp4nagios urls too
          - replaced deprecated Catalyst::Log::Log4perl
          - fixed commands using the hours parameter (fixes #50)
          - fixed redirect when adding ?nav=1 while using frames

1.1.1    Thu Sep 15 14:30:01 CEST 2011
          - added dashboard plugin (Thanks Sigma)
          - disabled not implemented config view (fixes #46)
          - fixed shift in table of config host page (fixes #49)

1.1.0    Sun Aug 21 19:12:18 CEST 2011
          - availability / trends are now calculated in a background process
            - less ressources and independent from browser ttl
          - excel export run as bg job
          - added config option 'show_custom_vars'
          - added host command 'Schedule downtime for all services on this host'
          - added excel export for notifications
          - added new host properties filter 'in_check_priod' and 'in_notification_period'
          - added new service properties filter 'in_check_priod' and 'in_notification_period'
          - added new filter options 'Check Period' and 'Notification Period'
          - added new filter option 'Has Modified Attributes'
          - added new command to reset 'Modified Attributes'
          - added option 'show_modified_attributes'
          - fixed disappearing menu item name (fixes #45)
          - fixed changing views on the minemap (fixes #44)
          - fixed statusmap in IE
          - fixed too long url in status.cgi

1.0.9    Sun Aug 14 12:47:30 CEST 2011
          - delete multiple comments from the comments page
          - delete multiple downtimes from the downtimes page
          - new option command_reschedule_alias to redirect reschedule requests to agent services
          - themes: themes can be enabled/disabled by themes/themes-enabled directory (just like plugins)
          - pnp preview: save graph state between reloads
          - shinken features: save status of businessview on reload
          - Thruk theme: layout/design cleanup
          - moved mobile plugin to extra branch (not finished yet)
          - fixed undefined value in shinken-features plugin
          - fixed "select all with downtime" button for hosts (fixes #39)
          - fixed calendar not showing up in status filter (fixes #42)
          - fixed authorization for service downtimes (fixes #43)

1.0.8    Mon Aug  2 15:22:16 CEST 2011
          - added excel export for all logfile pages
          - added "view configuration" link in host/service extinfo page
          - added contacts to host/service config page
          - added icons to command seletion
          - added mine map plugin
          - improved input validation for date fields in quick commands
          - added IE9 compatibility mode (Joerg Linge)
          - added description to init script (fixes #32)
          - fixed scheduling downtimes on mutliple backends (fixes #33)
          - fixed custom icons in Nuvola theme
          - fixed problem with writing cgi.cfg
          - fixed header toggle icon

1.0.7   Wed Jun 29 21:57:04 CEST 2011
          - fixed url in link popup

1.0.6   Thu Jun 26 12:41:09 CEST 2011
          - added wait_timeout option
          - added nicer/clearer command boxes
          - disabled wait feature when rescheduling checks on hosts with spaces
            - livestatus does not support that
          - Nuvola Theme: small design fixes (Juergen Vigna)
          - fixed zoom of trends graph
          - fixed problem with multiple filters
          - fixed availability when selected all hosts
          - fixed problem with quotes in plugin output in the statusmap

1.0.5   Thu Jun  2 22:03:30 CEST 2011
          - removed display of duplicate services where services are added twice to a servicegroup
          - hide check activity icon after 5 seconds
          - conf tool: added remove password button
          - shinken:
            - added priority filter (criticity)
            - added config option to rename priorities
          - fixed sendig commands to multiple backends

1.0.4   Fri May 20 14:05:18 CEST 2011
          - added missing license file
          - added business view for shinken backend
          - added better error message when log4perl config cannot be found
          - fixed availability calculation with hard states

1.0.3   Thu May 12 20:05:16 CEST 2011
          - fixed problem with some chars in excel export
          - added show_long_plugin_output option

1.0.2   Tue May 10 11:50:44 CEST 2011
          - use host address for searches
          - fixed executable SSIs with multiple lines of output

1.0.1   Mon May  9 10:22:57 CEST 2011
          - fixed link target when using frames

1.0.0   Sun May  8 23:25:18 CEST 2011
          - added bookmarks

0.94.4  Sun Mai 01 12:57:43 CEST 2011
          - view feedback icon when changing pnp images

0.94.3  Sat Apr 30 14:40:28 CEST 2011
          - view feedback icon when changing pnp images

0.94.2  Thu Apr 28 00:05:17 CEST 2011
          - added regular expression filter for host/servicegroups

0.94.1  Tue Apr 26 13:02:37 CEST 2011
          - fixed small design issues
          - fixed page scrolling when using cursor keys in search

0.94    Mon Apr 25 13:09:57 CEST 2011
          - added more menu control functions
          - fixed small design issues
          - fixed shinken impacts

0.92    Sun Apr 17 20:15:13 CEST 2011
          - added Thruk theme
          - added config tool for cgi.cfg and thruk.conf
          - added logo_path_prefix option
          - added state change filter
          - sidebar search autosubmits on select
          - fixed problem with "delete all downtimes" link

0.90    Sun Mar 27 22:52:23 CET 2011
          - made style selectable within filter
          - added inline pnp graphs
          - added wait feature when rescheduling checks
          - Nuvola theme saves collapsed state of menu
          - fixed themes
            - removed useless scrollbar in Nuvola theme
            - fixed jumping rows in Nuvola theme

0.86    Sun Mar 20 19:24:34 CET 2011
          - added new problems view
          - added new option 'check_local_states'
          - added optional check for remote backend status by local backends
          - fixed themes
            - removed useless scrollbar in Nuvola theme
            - removed margin from Wakizashi
            - fixed jumping rows in Nuvola theme
            - fixed jumping status in Vautour theme
          - fixed ajax autocomplete
          - fixed paging on config page
          - fixed ajax search in menu when using theme Vautour (Vincent Besancon)

0.84    Mon Mar 14 16:49:56 CET 2011
          - configurable plugins path
          - added missing image for the Nuvola theme
          - fixed tmp_path option
          - fixed accessing logfiles from changing backends
          - fixed host totals when using servicegroup filter

0.82.1  Wed Feb  9 15:27:54 CET 2011
          - fixed encoding problem with french date format

0.82    Mon Feb  7 23:40:50 CET 2011
          - fixed excel export with special characters in plugin output
          - fixed Undefined subroutine &FCGI::ProcManager::MaxRequestsThruk::self_or_default error

0.80    Sun Jan 30 14:07:49 CET 2011
          - fixed backends using groups authentication
          - fixed parsing of resource.cfg when macros are used twice
          - fixed macro expansion when using commands like check_test!

0.78.2  Tue Jan 18 10:29:08 CET 2011
          - minor fixes for OMD integration
          - fixed url for pager when using thruk with url prefix

0.78.1  Tue Jan 18 10:29:08 CET 2011
          - fixed macro expansion

0.78    Sun Jan 16 14:44:55 CET 2011
          - added new Theme (Wakizashi, thanks Jean)
          - added root problems plugin (thanks Jean) *shinken backend only
          - added new config option for default statusmap settings
          - added new config option title_prefix
          - fixed problem with custom timerange for availability reports
          - fixed minor problems when using the shinken backend

0.76.1  Wed Dec 29 11:28:03 CET 2010
          - fixed error when host/service has no command defined

0.76    Sun Dec 26 21:28:35 CET 2010
          - added full command line to host / service extinfo page (show_full_commandline option)
          - added user_template_path config option to specify additional template paths
          - added "link to this page" button on host/status details page
          - made configuration page more readable
          - added paging to config page

0.74    Sat Dec 18 13:45:08 CET 2010
          - added strict disabled mode ( make passive hosts/services more intuitive )
          - enabled circle layout for statusmap
          - added paging for group pages
          - added current number of notifications to status details page
          - added column selector for excel export
          - fixed some issues with shinken livestatus
          - fixed navigation when appending nav=1 to url in framed mode

0.72.2  Tue Nov  2 19:15:07 CET 2010
          - fixed livestatus stats query for shinken
          - fixed js for IE (search suggest && host/service selection)

0.72.1  Thu Oct 28 00:07:40 CEST 2010
          - fixed Vautour theme css
          - fixed host status totals for groups summary pages

0.72    Mon Oct 25 21:35:30 CEST 2010
          - added ssi_path config option
          - added flexible url prefix
          - added filter for latency and execution time
          - added utf8 support for navigation
          - added prefixes for search terms ho: hg: se: and sg:
          - added link to childs on host details page
          - added warning when trying to start a precompiled version on wrong arch
          - added commit page when deleting all downtimes
          - added select all hosts link to service details
          - added use_timezone configuration option
          - fixed removing comments with unprivileged user
          - fixed sending multiple persistent acknowledgements
          - fixed action urls in host details
          - fixed stats querys
          - fixed statusmap for hosts with nasty chars
          - fixed date_format when using timezones
          - fixed ordering logfiles
          - fixed "livestatus: Sorry, Operator 4 for lists not implemented" error with blank searches

0.70.1  Wed Sep  8 14:07:18 CEST 2010
          - fixed problem when deselected all backends
          - fixed problem with filter on Trends page

0.70    Wed Aug 25 08:49:45 CEST 2010
          - search does include comments and downtimes now
          - added new backend abstraction layer to support new backends
          - added noheader parameter for status pages

0.68    Fri Jul 23 21:29:02 CEST 2010
          - added mobile version for iPhones, iPad and Android mobile phones
          - side menu is completely adjustable by config file
          - used date_format_today more often
          - added more columns to excel export
          - added backend param to all pages
          - added check for livestatus minimum version
          - fixed problem with quotes in host definitions on statusmap
          - fixed problem with plugin symlinks
          - fixed problem with ssi path
          - fixed utf8 support
          - fixed memory leak

0.66    Mon Jun 21 08:45:39 CEST 2010
          - added Excel export to status/host details page
          - added contactgroups config page
          - added config option groups for backends (view permissions for peers based on contactgroups)
          - navigation frame will be reloaded when changing themes
          - fixed problem with special chars in links
          - fixed problem with command authorization
          - fixed problem with logfile access authorization
          - fixed problem with template compile directory and different users on one host
          - fixed all commands which send more than one external command
          - fixed problem with "Schedule Downtime For Hosts Too"

0.64    Sun May 30 10:17:24 CEST 2010
          - fixed problem with removing downtimes

0.62    Sat May 29 17:03:41 CEST 2010
          - added status map
          - fixed problem with selecting themes
          - fixed command default checkbox settings

0.60    Sun May 23 13:12:00 CEST 2010
          - added parent search filter
          - added config options for downtime,comment,longplugin output popups
          - display more useful error message when accessing nonexistand hosts/services as admin
          - page delivery is delayed for a few seconds after backend restarts (services would be displayed pending otherwise)
          - added more quick commands (enable/disable notifications/active checks, sub. passive result)
          - quick commands can be disabled separately
          - moved logging configuration into separate file
          - added spread checks option when rescheduling many services/hosts
          - keep filled in start/end time when submitting commands, even after missing values verfication
          - patched Makefile to disable make install
          - fixed problem with display of quotes in popups when escape_html_tags disabled
          - fixed problem with display of very long performance data
          - fixed problem with start_page and absolute uris
          - fixed problem with sending command in IE
          - fixed problem with reseting pager on filter change
          - fixed problem with multiple filters and paging
          - fixed problem with paging nothing but selected all

0.58    Mon Apr 12 16:30:40 CEST 2010
          - changed to FCGI::ProcManager::MaxRequests
            as temporary workaround for memory leaking problems
          - fixed javascript issues with safari and opera
          - fixed adding persistent comments from status.cgi

0.56    Fri Apr  9 08:58:43 CEST 2010
          - fixed host acknowledgements
          - fixed problem with date filter in status.cgi
          - fixed host soft/hard state display
          - fixed problem with onmouseover for long plugin output
          - fixed problem with pnp4nagios ssi includes and prototype

0.54    Mon Apr  5 16:37:42 CEST 2010
          - added ajax search to side navigation and status page
          - made eventype for status.cgi popups configurable
          - renamed cgi_cfg option to cgi.cfg
          - fixed removing downtimes
          - fixed removing comments
          - fixed parsing cgi.cfg

0.52    Fri Mar 26 09:03:28 CET 2010
          - added text dates like 'tomorrow' or '-3 weeks' for all date input fields
          - select multiple hosts/services with shift + mouseclick
          - changed to Unicode::Encode for UTF-8 support
          - fixed menu scrollbar
          - fixed nav hider on main.html
          - fixed parsing dates
          - fixed filter combination "livestatus: Cannot combine 2 filters with 'OR': only 0 are on stack"

0.50    Fri Mar 19 20:11:48 CET 2010
          - added next/last check filter
          - backends can be enabled in extinfo 1/2
          - added start_page config option
          - reload counter resets when host/service is selected
          - different date format for today (only HH:MM:SS for example)
          - added sample pnp ssi
          - fixed navbar

0.48    Thu Mar 18 20:32:39 CET 2010
          - changed navbar show/hide
          - added !~ filter
          - fixed themes

0.46    Wed Mar 17 21:47:57 CET 2010
          - default state of command checkboxes can be configured
          - cgi.cfg will be reloaded if changed ( without restarting )
          - backends can be setup with initial hidden state
          - fixed problem with paths
          - fixed 'check all' link for hostdetails
          - fixed problem with umlauts in comments

0.44    Fri Mar 12 17:31:10 CET 2010
          - added server side includes

0.42    Fri Mar 12 17:31:10 CET 2010
          - changed datepicker
          - fixed problem with sorting empty results
          - fixed host/service totals when using complex filters

0.40    Sun Mar  7 21:12:37 CET 2010
          - change status.cgi filter inline
          - combine several filter
          - strict authorization option

0.34    Wed Mar  3 09:40:49 CET 2010
          - send multiple commands from status detail
          - date picker for logfile pages (history, showlog and notifications)
          - overlib for long plugin out in status details
          - added new theme Nuvola

0.32    Fri Feb 26 09:16:20 CET 2010
          - added summary report
          - bugfixes

0.31    Thu Feb 25 20:24:15 CET 2010
          - fixed zoom for trends
          - made histogram links optional
          - made automatic page refresh is stopable
          - specific backends can be disabled

0.30    Tue Feb 16 23:40:09 CET 2010
          - updated meta data, documentation
          - added binary package scripts

0.27_3  Tue Feb 16 16:11:00 CET 2010
          - fixed sorting with filters

0.27_2  Sun Feb 14 19:20:58 CET 2010
          - updated Exfoliation to 0.5
          - added init.d script

0.27_1  Fri Feb 12 03:59:09 CET 2010
          - per user themes

0.25_1  Sat Feb  6 17:29:12 CET 2010
          - added trends
          - implemented escape_html_tags
          - added show_context_help

0.23_3  Sat Feb  6 00:06:39 CET 2010
          - added paging for hosts / services

0.23_2  Wed Feb  3 13:31:33 CET 2010
          - added paging to extinfo type 7
          - added config switch to disable paging
          - added date picker to commands

0.21_2  Thu Jan 28 19:13:31 CET 2010
          - fixed fonts in menu
          - made date/time format configurable

0.21_1  Sun Jan 24 09:18:54 CET 2010
          - added availability page
          - trends, statusmap, statuswrl are optional and can be hidden

0.20_3  Thu Jan 14 21:29:54 CET 2010
          - increased showlog performance

0.20_3  Sun Jan 10 14:13:14 CET 2010
          - using frames is no configurable
          - documentation is now replaceable
          - corrected valid html
          - fixed order of logfiles

0.20_1  Thu Jan  7 19:55:36 CET 2010
          - changed logging to log4perl

0.20_0  Tue Jan  5 01:25:14 CET 2010
          - renamed project to Thruk
          - added changelog to start page

0.11_0  Fri Jan  1 20:01:12 CET 2010
          - added history page
          - commands can be disabled by configuration
          - fixed problem with group auth
          - fixed version in infobox

0.10_6  Wed Dec 30 14:52:49 CET 2009
          - completed showlog page

0.10_5  Sun Dec 20 00:09:43 CET 2009
          - added multi monitoring backend

0.10_4  Fri Dec  4 09:50:46 CET 2009
          - completed status overview page
          - completed extinfo pages 5 and 8
          - completed outages page
          - added extinfo type 4 page
          - completed status grid page
          - completed search

0.10_3  Sat Nov 28 12:12:11 CET 2009
          - completed status hostdetail page
          - completed status servicedetail page
          - completed process info page

0.10_2  Thu Nov 19 09:10:38 CET 2009
          - completed authentication with roles from cgi.cfg
          - completed scheduling page

0.10_1  2009-11-08 16:10:34
          - added basic functions, authentication, views and models

0.01    2009-11-08 16:10:34
          - initial revision, generated by Catalyst
